> For the complete documentation index, see [llms.txt](https://docs.whisk.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.whisk.com/master/api/auth/anonymous-access.md).

# Anonymous Access

{% hint style="info" %}
Anonymous user access is deprecated and will not be avaible in future versions of the Whisk API.
{% endhint %}

You can't use app management token from client apps for security reasons. Therefore to support serverless apps, Whisk provides an alternative mechanism.

Note: For browser applications, you need to provide a list of domains which will be whitelisted

The client application can request short-lived token to access API and keep a reference for the user

```bash
curl "https://graph.whisk.com/auth/anonymous/create" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "clientId": "<YOUR-APP-ID>"
}'
```

Example response:

```javascript
{
  "token": {
    "access_token": "Xb609ErrcoRNwll9wwxbk70OxFrbxEOu8Ui8ZzV4yJDA9RvLRGFhlMAAfkP2OmSS",
    "expires_in": 86400,
    "token_type": "Bearer",
    "refresh_token": "oS1437tty6buHTef0VGkXgcR7PvOt2DDUntSjWaCtDqJX8osK7d3Mip38NjpJdTH"
  }
}
```

Then `access_token`from the response can be used for communication from the client app. This Access Token is bound to specific `userId`in Whisk Platform

Anonymous users will be deleted automatically after 30 days of inactivity, but if the user will make any request in this period their lifetime will be increased for another 30 days.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.whisk.com/master/api/auth/anonymous-access.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
